Bug 154705 - Font size computed style is innaccurate
Summary: Font size computed style is innaccurate
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on: 154757
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 16:58 PST by Myles C. Maxfield
Modified: 2016-03-08 15:52 PST (History)
9 users (show)

See Also:


Attachments
Patch (4.93 KB, patch)
2016-02-25 17:01 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-yosemite (930.68 KB, application/zip)
2016-02-25 17:35 PST, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-yosemite-wk2 (955.69 KB, application/zip)
2016-02-25 17:52 PST, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-yosemite (860.33 KB, application/zip)
2016-02-25 18:01 PST, Build Bot
no flags Details
Patch (12.50 KB, patch)
2016-02-25 18:48 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2016-02-25 16:58:10 PST
Font size computed style is innaccurate
Comment 1 Myles C. Maxfield 2016-02-25 17:01:13 PST
Created attachment 272265 [details]
Patch
Comment 2 Myles C. Maxfield 2016-02-25 17:01:33 PST
<rdar://problem/23474068>
Comment 3 Build Bot 2016-02-25 17:35:06 PST
Comment on attachment 272265 [details]
Patch

Attachment 272265 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/883839

New failing tests:
editing/mac/attributed-string/vertical-align.html
editing/mac/attributed-string/font-size.html
css3/viewport-percentage-lengths/viewport-percentage-lengths-relative-font-size.html
Comment 4 Build Bot 2016-02-25 17:35:09 PST
Created attachment 272268 [details]
Archive of layout-test-results from ews101 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 5 Build Bot 2016-02-25 17:51:59 PST
Comment on attachment 272265 [details]
Patch

Attachment 272265 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/883872

New failing tests:
css3/viewport-percentage-lengths/viewport-percentage-lengths-relative-font-size.html
Comment 6 Build Bot 2016-02-25 17:52:02 PST
Created attachment 272271 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 7 Build Bot 2016-02-25 18:01:48 PST
Comment on attachment 272265 [details]
Patch

Attachment 272265 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/883873

New failing tests:
css3/viewport-percentage-lengths/viewport-percentage-lengths-relative-font-size.html
Comment 8 Build Bot 2016-02-25 18:01:51 PST
Created attachment 272274 [details]
Archive of layout-test-results from ews115 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 9 Myles C. Maxfield 2016-02-25 18:48:31 PST
Created attachment 272276 [details]
Patch
Comment 10 WebKit Commit Bot 2016-02-25 22:38:47 PST
Comment on attachment 272276 [details]
Patch

Clearing flags on attachment: 272276

Committed r197160: <http://trac.webkit.org/changeset/197160>
Comment 11 WebKit Commit Bot 2016-02-25 22:38:54 PST
All reviewed patches have been landed.  Closing bug.
Comment 12 WebKit Commit Bot 2016-02-26 15:30:25 PST
Re-opened since this is blocked by bug 154757
Comment 13 Myles C. Maxfield 2016-03-08 15:52:28 PST
Committed r197811: <http://trac.webkit.org/changeset/197811>